diff -urN nrpe-2.13/configure nrpe-2.13.indue/configure
--- nrpe-2.13/configure	2011-11-12 04:45:49.000000000 +1000
+++ nrpe-2.13.indue/configure	2012-09-14 17:30:48.000000000 +1000
@@ -6670,7 +6670,11 @@
 		found_ssl=no
 		for dir in $ssl_lib_dir $ssl_dir /usr/lib64 /usr/lib /usr/local/lib /usr/lib/ssl /usr/ssl/lib /usr/openssl/lib /usr/pkg/lib  /usr/freeware/lib/openssl; do
 			ssllibdir="$dir"
-			if test -f "$dir/libssl.so"; then
+			sobjext="so"
+                        if test "`uname -s`" = "HP-UX" ; then
+				sobjext="sl"
+			fi
+			if test -f "$dir/libssl.$sobjext"; then
 				found_ssl=yes
 			        break
 			fi
diff -urN nrpe-2.13/configure.in nrpe-2.13.indue/configure.in
--- nrpe-2.13/configure.in	2011-11-12 04:45:49.000000000 +1000
+++ nrpe-2.13.indue/configure.in	2012-09-14 17:32:26.000000000 +1000
@@ -287,7 +287,11 @@
 		found_ssl=no
 		for dir in $ssl_lib_dir $ssl_dir /usr/lib64 /usr/lib /usr/local/lib /usr/lib/ssl /usr/ssl/lib /usr/openssl/lib /usr/pkg/lib  /usr/freeware/lib/openssl; do
 			ssllibdir="$dir"
-			if test -f "$dir/libssl.so"; then
+			sobjext="so"
+                        if test "`uname -s`" = "HP-UX" ; then
+                                sobjext="sl"
+                        fi
+			if test -f "$dir/libssl.$sobjext"; then
 				found_ssl=yes
 			        break
 			fi
diff -urN nrpe-2.13/include/common.h nrpe-2.13.indue/include/common.h
--- nrpe-2.13/include/common.h	2012-09-17 12:40:07.553841469 +1000
+++ nrpe-2.13.indue/include/common.h	2012-09-14 17:51:05.000000000 +1000
@@ -71,7 +71,7 @@
         }packet;
 
 /**************** OPERATING SYSTEM SPECIFIC DEFINITIONS **********/
-#ifdef __sun
+#if defined(__sun) || defined(__hpux)
 
 #  ifndef LOG_AUTHPRIV
 #    define LOG_AUTHPRIV LOG_AUTH
diff -urN nrpe-2.13/src/nrpe.c nrpe-2.13.indue/src/nrpe.c
--- nrpe-2.13/src/nrpe.c	2012-09-17 12:40:11.762871166 +1000
+++ nrpe-2.13.indue/src/nrpe.c	2012-09-17 12:25:51.000000000 +1000
@@ -34,7 +34,7 @@
 #include "../include/dh.h"
 #endif
 
-#ifdef HAVE_LIBWRAP
+#if defined(HAVE_LIBWRAP) && !defined(__hpux)
 int allow_severity=LOG_INFO;
 int deny_severity=LOG_WARNING;
 #endif
@@ -120,7 +120,7 @@
 #ifdef HAVE_SSL
 		printf("SSL/TLS Available: Anonymous DH Mode, OpenSSL 0.9.6 or higher required\n");
 #endif
-#ifdef HAVE_LIBWRAP
+#if defined(HAVE_LIBWRAP) && !defined(__hpux)
 		printf("TCP Wrappers Available\n");
 #endif
 		printf("\n");
@@ -131,7 +131,7 @@
 		printf("***************************************************************\n");
 		printf("\n");
 #endif
-#ifndef HAVE_LIBWRAP
+#if !defined(HAVE_LIBWRAP) || defined(__hpux)
 		printf("***************************************************************\n");
 		printf("** POSSIBLE SECURITY RISK - TCP WRAPPERS ARE NOT AVAILABLE!  **\n");
 		printf("**      Read the NRPE SECURITY file for more information     **\n");
@@ -712,7 +712,7 @@
 	fd_set fdread;
 	struct timeval timeout;
 	int retval;
-#ifdef HAVE_LIBWRAP
+#if defined(HAVE_LIBWRAP) && !defined(__hpux)
 	struct request_info req;
 #endif
 
@@ -904,7 +904,7 @@
 					}
 				}
 
-#ifdef HAVE_LIBWRAP
+#if defined(HAVE_LIBWRAP) && !defined(__hpux)
 
 				/* Check whether or not connections are allowed from this host */
 				request_init(&req,RQ_DAEMON,"nrpe",RQ_FILE,new_sd,0);
@@ -1863,6 +1863,8 @@
 	while(1){
 #ifdef HAVE_GETOPT_LONG
 		c=getopt_long(argc,argv,optchars,long_options,&option_index);
+#elif defined(__hpux)
+		c=hpux_getopt(argc,argv,optchars);
 #else
 		c=getopt(argc,argv,optchars);
 #endif
@@ -1871,7 +1873,6 @@
 
 		/* process all arguments */
 		switch(c){
-
 		case '?':
 		case 'h':
 			show_help=TRUE;
diff -urN nrpe-2.13/src/utils.c nrpe-2.13.indue/src/utils.c
--- nrpe-2.13/src/utils.c	2012-09-17 12:40:11.766831310 +1000
+++ nrpe-2.13.indue/src/utils.c	2012-09-17 12:00:19.000000000 +1000
@@ -437,4 +437,19 @@
         }
 
 
+/* HP-UX doesn't appear to increment optind or set optarg correctly, at least
+ * when using GCC 4.2.3 on HP-UX 11i v3 PA-RISC. */
+#if defined(__hpux)
+#define	__getopt	getopt
+int hpux_getopt(int argc, char * const argv[], const char *optstring){
+	int c;
+
+	c=__getopt(argc, argv, optstring);	
+
+	if(c!=-1 && c!=EOF) 
+        	optarg=argv[++optind];
+
+	return c;
+}
+#endif
 
